/**
 * @(#)SVGPath.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/22
 */
package jp.co.iti.fagot.xml;

/* java */

/* W3C DOM */
import	org.w3c.dom.Document;

/* fagot */

/**
 * SVGLine
 */
public class SVGPath	extends	SVGShape	implements	ISVG{
	
	/**
	 * コンストラクタ
	 * @param	String RootElementName ルートエレメント名("ProjrctUnit"等)
	 * @param	String SystemID        システムID("site.dtd"等)
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
//	 * @deprecated 
	 * DOMツリーを新規に作成する
	 *   ・docフィールドに新規に作成したDOMツリーのDocumentを設定
	 *   ・rootフィールドに新規に作成したDOMツリーのDocumentの
	 *     ルートエレメントを設定
	 */
	public SVGPath(Document doc){
		super(doc ,PATH);
	}
	
	public SVGPath(Document doc	,String pathdata ,SVGStyle style){
		this(doc);
		if(null!=pathdata)	setAttribute(D	,pathdata);
		if(null!=style){
			setAttribute(STYLE	,style.toString());
			myStyle = new SVGStyle(style);
		}
	}
	
	public SVGPath(Document doc	,SVGPathdata pathdata ,SVGStyle style){
		this(doc);
		if(null!=pathdata){
			String s = pathdata.toString();
			if(null!=s)	setAttribute(D	,s);
		}
		
		if(null!=style){
			setAttribute(STYLE	,style.toString());
			myStyle = new SVGStyle(style);
		}
	}
}